package jp.agentec.abook.abv.bl.dto;

import java.util.Date;


/**
 * ユーザ情報を格納します。
 * @author Tanigawa
 * @version　1.0.0
 */
public class PasswordLockInfoDto extends AbstractDto {
	public int id;
	public short invalidPasswordCount;
	public Date passwordLockDate;
	
	@Override
	public Object[] getInsertValues() {
		return new Object[]{id, invalidPasswordCount, passwordLockDate};
	}

	@Override
	public Object[] getUpdateValues() {
		return new Object[]{invalidPasswordCount, passwordLockDate, id};
	}

	@Override
	public String[] getKeyValues() {
		return new String[]{""+ id};
	}
}
